org.apache.cassandra.db.filter

## Class ColumnFilter.Tester

- java.lang.Object
- - org.apache.cassandra.db.filter.ColumnFilter.Tester

- Enclosing class:
    ColumnFilter

      public static class ColumnFilter.Tester
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `fetchedCellIsQueried(CellPath path)` Must only be called if `fetches(path) == true`.
    `boolean` | `fetches(CellPath path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fetches

          public boolean fetches(CellPath path)

    - #### fetchedCellIsQueried

          public boolean fetchedCellIsQueried(CellPath path)

      Must only be called if `fetches(path) == true`.

Copyright © 2018 The Apache Software Foundation